SEGMENT(1)

NAME
Segment - segmentation based on signal structure

SYNOPSIS
astsegment [OPTION...] ASTRdata

DESCRIPTION
Segment is part of GNU Astronomy Utilities 0.18. Segment will segment an initially labeled region based on structure with the signal. It will first find true clumps (local maxima), estimate which ones have strong connections, and then grow them to cover the full area of each detection.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Segment's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astsegment -P

Inputs/Outputs and options:
    $ info astsegment

Full section in manual/book:
    $ info Segment

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Segment options:

    Input:

--chdu=STR
    HDU/extension of convolved image in file.

--convolved=FITS
    Convolved image file to avoid convolution.

--dhdu=STR
    HDU containing detection image.

-d, --detection=FITS
    Filename of detection image (to segment).

-h, --hdu=STR/INT
    HDU containing values (science image).

--khdu=STR
    HDU containing kernel image.

-k, --kernel=FITS
    Filename of kernel to convolve with input.

--sky=STR/FLT
    Filename of Sky values image to subtract.

--skyhdu=STR
    HDU containing Sky value to subtract.

--std=STR/FLT
    Filename of Sky standard deviation.

--stdhdu=STR
    HDU containing Sky standard deviation.

--variance
    STD input is actually variance.

    Tessellation (tile grid):

--checktiles
    Tile IDs in an image, the size of input.

-F, --remainderfrac=FLT
    Fraction of remainder to split last tile.

--interpmetric=STR
    Interpolation metric (radial, manhattan).

--interpnumngb=INT
    No. of neighbors to use for interpolation.

--interponlyblank
    Only interpolate over the blank tiles.

-L, --largetilesize=INT[,INT]
    Sim. to --tilesize, but for larger tiles.

-M, --numchannels=INT[,..] No. of channels in dim.s (FITS order).

--oneelempertile
    Display 1 element/tile, not full input res.

--workoverch
    Work (not tile) over channel edges.

-Z, --tilesize=INT[,INT]
    Regular tile size on dim.s (FITS order).

    Output:

-D, --dontdelete
    Don't delete output if it exists.

-K, --keepinputdir
    Keep input directory for automatic output.

--noobjects
    Finish with true clumps, don't create objects.

-o, --output=STR
    Output file name.

--rawoutput
    Output contains only CLUMPS and/or OBJECTS HDUs.

--tableformat=STR
    'txt', 'fits-ascii', 'fits-binary'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Segmentation:

-B, --minskyfrac=FLT
    Min. fraction of undetected area in tile.

--checksegmentation
    Store segmentation steps in a file.

--checksn
    Save clump S/N values into a file.

-c, --snquant=FLT
    S/N Quantile of true sky clumps.

--grownclumps
    Save grown clumps instead of original.

-G, --gthresh=FLT
    Multiple of STD to stop growing clumps.

--minima
    Built internal clumps from minima.

--minnumfalse=INT
    Minimum number for S/N estimation.

-m, --snminarea=INT
    Minimum area of clumps for S/N estimation.

-O, --objbordersn=FLT
    Min. S/N for grown clumps as one object.

-s, --clumpsnthresh=FLT
    S/N threshold of true clumps.

-v, --keepmaxnearriver
    Keep clumps with peak touching a river.

-y, --minriverlength=INT
    Minimum len of useful grown clump rivers.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

-C, --continueaftercheck
    Continue processing after checks.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2022 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for Segment is maintained as a Texinfo manual. If the info and Segment programs are properly installed at your site, the command

    info Segment

should give you access to the complete manual.